<div class="octave" [ngClass]="{
'size_lg': currentSize === octaveSizes.LG,
'size_md': currentSize === octaveSizes.MD,
'size_sm': currentSize === octaveSizes.SM,
'hover': options.isHoverOn === true
}">
  <div class="key-row key-row_black">
    <div *ngFor="let key of blackKeysRow">
      <div class="key key_black" [ngClass]="{'active': key.isActive}" *ngIf="key.type === buttonTypes.KEY_BUTTON_BLACK">
        <div *ngIf="key.isActive"  class="red-dot"></div>
        <div class='key-value key-value_black' *ngIf="currentSize !== octaveSizes.SM && key.isActive">{{this.getBlackKeyName(key.id)}}</div>
      </div>
      <div class="key key_empty" [ngClass]="{'active': key.isActive}" *ngIf="key.type === buttonTypes.KEY_BUTTON_EMPTY"></div>
    </div>
  </div>
  <div class="key-row key-row_white">
    <div *ngFor="let key of octave">
      <div class="key key_white" [ngClass]="{'active': key.isActive}" *ngIf="key.type === buttonTypes.KEY_BUTTON_WHITE">
        <div *ngIf="key.isActive" class="red-dot"></div>
        <div class='key-value' *ngIf="currentSize !== octaveSizes.SM && key.isActive">{{this.getKeyName(key.id)}}</div>
      </div>
    </div>
  </div>
</div>
